# Class CIM_OperatingSystemCapabilities
extends CIM_EnabledLogicalElementCapabilities

OperatingSystemCapabilities provides information about the capabilities of associated instances of CIM_OperatingSystem.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_OperatingSystemCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | OperatingSystemCapabilities provides information about the capabilities of associated instances of CIM_OperatingSystem.
UMLPackagePath | string | CIM::System::OperatingSystem
Version | string | 2.22.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
HostShutdownBehavior | uint16 | 0

Description

string

HostShutdownBehavior provides information about the capabilities of an associated instance of OperatingSystem to shutdown the hosting computer system. A value of "Disabled" indicates that if the associated OperatingSystem is shutdown using the RequestStateChange() or Shutdown() extrinsic methods, the ComputerSystem with which the ComputerSystem is associated through an instance of CIM_RunningOS shall be shutdown. A value of "No effect" indicates that if the associated OperatingSystem is shutdown using the RequestStateChange() or Shutdown() extrinsic methods, the ComputerSystem with which the OperatingSystem is associated through CIM_RunningOS shall not be shutdown. A value of "Unknown" indicates that the effect on the hosting ComputerSystem is unknown.

ValueMap | string | 0, 2, 3, .., 32768..65535
Values | string | Unknown, Disabled, No effect, DMTF Reserved, Vendor Reserved

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods